## org.red5.io.mp3.impl
Class MP3

    java.lang.Object
      org.red5.io.mp3.impl.MP3

All Implemented Interfaces:
  IStreamableFile, IMP3

    public class MP3

extends Object
implements IMP3

Represents MP3 file

Constructor Summary
`MP3(File file)` Creates MP3 object using given file

Method Summary
`ITagWriter` `getAppendWriter()` Returns a Writer which is setup to append to the file.
`ITagReader` `getReader()` Returns a reader to parse and read the tags inside the file.
`ITagWriter` `getWriter()` Returns a writer that creates a new file or truncates existing contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP3

    public MP3(File file)

  Creates MP3 object using given file

  Parameters:
    `file` - File object to use

Method Detail

### getReader

    public ITagReader getReader()
                         throws IOException

  Returns a reader to parse and read the tags inside the file.

  Specified by:
    `getReader` in interface `IStreamableFile`
  Returns:
    the reader Tag reader
  Throws:
    `IOException` - I/O exception

### getWriter

    public ITagWriter getWriter()
                         throws IOException

  Returns a writer that creates a new file or truncates existing contents.

  Specified by:
    `getWriter` in interface `IStreamableFile`
  Returns:
    the writer Tag writer
  Throws:
    `IOException` - I/O exception

### getAppendWriter

    public ITagWriter getAppendWriter()
                               throws IOException

  Returns a Writer which is setup to append to the file.

  Specified by:
    `getAppendWriter` in interface `IStreamableFile`
  Returns:
    the writer Tag writer used for append mode
  Throws:
    `IOException` - I/O exception

Copyright © 2006-2010 The Red5 Project